// button
.btn {
    font-weight: 900;
    letter-spacing: 0.2em;
    color: $color-1 !important;
    margin: 10px 0;
    width: $full-width;
    background-color: $color-3;
    outline: none;
    cursor: pointer;
    transition: $trans-time ease all;
    &:hover {
        color: $color-5 !important;
        background-color: $color-1;
        box-shadow: $shadow;
        transition: $trans-time ease all;
    }
    &:focus,
    &:active {
        outline: none;
    }
}

.disable {
    color: $color-8 !important;
    background-color: $color-2;
    box-shadow: none;
    &:hover,
    &:focus,
    &:active {
        color: $color-8 !important;
        background-color: $color-2;
        box-shadow: none;
    }
}

.btn-manage,
.btn-add,
.btn-edit,
.btn-delete {
    font-weight: 900;
    letter-spacing: 0.2em;
    margin: 0;
    transition: $trans-time ease all;
    cursor: pointer;
    &:hover {
        box-shadow: $shadow;
        transition: $trans-time ease all;
    }
    &:active,
    &:focus,
    &:visited {
        box-shadow: none;
    }
}

.btn-manage {
    color: $color-10 !important;
    width: auto;
    background-color: transparent;
    border: none;
    &:hover {
        color: $color-8 !important;
        background-color: $color-10;
    }
}

.btn-add {
    color: $color-1 !important;
    width: $full-width;
    background-color: #fff;
    border: 1px solid #dee2e6;
    &:hover {
        color: $color-4 !important;
        background-color: $color-1;
    }
}

.btn-edit {
    color: $color-6 !important;
    width: auto;
    background-color: transparent;
    border: none;
    &:hover {
        color: $color-7 !important;
        background-color: $color-6;
    }
}

.btn-delete {
    color: $color-1 !important;
    width: auto;
    background-color: transparent;
    border: none;
    &:hover {
        color: $color-4 !important;
        background-color: $color-1;
    }
}

// link <a>
a,
.link {
    color: $color-3;
    text-decoration: none;
    transition: $trans-time ease all;
    &:hover {
        color: $color-1;
        text-decoration: none;
        transition: $trans-time ease all;
        text-shadow: $shadow;
        cursor: pointer;
    }
}

.link-in-button {
    text-decoration: none;
    &:hover {
        cursor: pointer;
    }
}

// Button position
.position-send-in-modal {
    position: absolute;
    right: 10px;
    top: 10px;
}

.position-back-in-modal {
    position: absolute;
    left: 10px;
    top: 10px;
}

// Tag mamber
.tag-member {
    border: solid $color-9;
    width: fit-content;
    padding: 0px 10px;
    border-radius: 15px;
    margin: 0 3px;
    transition: $trans-time ease all;
    cursor: pointer;
    outline: none;
    user-select: none;
    &:hover {
        background-color: $color-8;
        border-color: $color-1;
        transition: $trans-time ease all;
        text-shadow: $shadow;
        color: $color-8;
    }
}

.task-outline {
    border-bottom: solid transparent;
    border-top: solid transparent;
    padding: 2px;
    margin-bottom: 0px !important;
    transition: $trans-time ease all;
    outline: none;
    &:hover {
        border-bottom: solid $color-9;
        border-top: solid $color-9;
        transition: $trans-time ease all;
        box-shadow: $shadow;
    }
}

.s-add,
.s-setting {
    font-size: 20px;
    top: 0px;
    cursor: pointer;
    color: $color-4;
    transition: $trans-time ease all;
    padding: 5px;
    &:hover {
        color: $color-1;
        transition: $trans-time ease all;
        text-shadow: $shadow;
    }
}

.s-add {
    right: 0px;
    &:hover {
        transform: rotate(90deg);
    }
}

.s-setting {
    left: 0px;
    &:hover {
        transform: rotate(360deg);
    }
}

.b-edit,
.b-remove {
    transition: $trans-time ease all;
    padding: 0 0.15vw;
    font-size: 16px;
    outline: none;
    color: $color-5;
    cursor: pointer;
    &:hover {
        transform: rotate(90deg);
        transition: $trans-time ease all;
        font-weight: lighter;
    }
}

.b-edit {
    &:hover {
        color: $color-6;
    }
}

.b-remove {
    &:hover {
        color: $color-9;
    }
}

//sub menubar
.b-sub-1,
.b-sub-2,
.b-sub-3 {
    position: absolute;
    outline: none;
    left: 2px;
    font-size: 22px;
    color: $color-2;
    cursor: pointer;
    transition: $trans-time ease all;
    &:hover {
        transition: $trans-time ease all;
        color: $color-1;
    }
}

.b-sub-1 {
    top: 8px;
}

.b-sub-2 {
    top: 44px;
}

.b-sub-3 {
    top: 80px;
}